dkp-pacman: unrecognized zst archive format

support for the ARM toolchain
Post Reply
babi
Posts: 1
Joined: Wed Aug 16, 2023 1:12 pm

dkp-pacman: unrecognized zst archive format

Post by babi » Wed Aug 16, 2023 1:37 pm

Hi everyone,

I'm a new member of this forum, even though I already had experience with devkitpro while studying gba development (thanks to Tonc).

This is my second time trying to install devkitpro.
I want to develop on a very old laptop with SparkyLinux 6.7 (Debian-based distro) and i686 architecture.
I followed the usual steps and installed dkp-pacman (the latest version available) without any problem.
However, on installing the gba tools and libs, I run into this error (running the command dkp-pacman -S gba-dev):

Code: Select all

error: could not open file /opt/devkitpro/pacman/var/cache/pacman/pkg/dkp-cmake-common-utils-1.5.1-1-any.pkg.tar.zst: Unrecognized archive format
error: could not open file /opt/devkitpro/pacman/var/cache/pacman/pkg/devkitarm-cmake-1.2.1-1-any.pkg.tar.zst: Unrecognized archive format
error: could not open file /opt/devkitpro/pacman/var/cache/pacman/pkg/devkitarm-crtls-1.2.2-1-any.pkg.tar.zst: Unrecognized archive format
error: could not open file /opt/devkitpro/pacman/var/cache/pacman/pkg/general-tools-1.4.4-1-i686.pkg.tar.zst: Unrecognized archive format
error: could not open file /opt/devkitpro/pacman/var/cache/pacman/pkg/devkitarm-rules-1.5.1-1-any.pkg.tar.zst: Unrecognized archive format
error: could not open file /opt/devkitpro/pacman/var/cache/pacman/pkg/devkitARM-r62-1-i686.pkg.tar.zst: Unrecognized archive format
error: could not open file /opt/devkitpro/pacman/var/cache/pacman/pkg/devkitARM-gdb-13.2-1-i686.pkg.tar.zst: Unrecognized archive format
error: failed to commit transaction (cannot open package file)
Errors occurred, no packages were upgraded.
It's clear that I'm unable to open these zst files, but I cannot find a solution to this problem. Does anyone have any ideas about this?

Thank you in advance for your support!

WinterMute
Site Admin
Posts: 1865
Joined: Tue Aug 09, 2005 3:21 am
Location: UK
Contact:

Re: dkp-pacman: unrecognized zst archive format

Post by WinterMute » Sun Aug 20, 2023 1:23 am

Apologies, I need to sort out the pacman version in the apt repo.

In the meantime update your databases then install the updated pacman by itself. Then everything should work properly.

Code: Select all

sudo dkp-pacman -Sy
sudo dkp-pacman -S pacman
Help keep devkitPro toolchains free, Donate today

Personal Blog

breadone
Posts: 1
Joined: Thu Sep 14, 2023 2:17 pm

Re: dkp-pacman: unrecognized zst archive format

Post by breadone » Thu Sep 14, 2023 2:23 pm

WinterMute wrote: Sun Aug 20, 2023 1:23 am Apologies, I need to sort out the pacman version in the apt repo.

In the meantime update your databases then install the updated pacman by itself. Then everything should work properly.

Code: Select all

sudo dkp-pacman -Sy
sudo dkp-pacman -S pacman
This didn't end up working for me, I've got the exact same error on an M1 mac.
It also tries to download the x64 packages for me though, that could also be an issue, however I've been using devkitARM for a while now with no issues, just haven't updated in ages.

EDIT:
just as i'm about to give up and go to sleep, i figure it out: my pacman version was too out of date to open the new zst files, and even self-update pacman, since that also came in a zst file.

what i had to do was manually install a newer pacman version manually, through here: https://github.com/devkitPro/pacman/releases/tag/v6.0.2
and it worked fine after that.

my project still won't compile though...
Last edited by breadone on Thu Sep 14, 2023 2:31 pm, edited 1 time in total.

oceanman
Posts: 1
Joined: Sat Dec 16, 2023 7:07 am

Re: dkp-pacman: unrecognized zst archive format

Post by oceanman » Sat Dec 16, 2023 7:17 am

breadone wrote: Thu Sep 14, 2023 2:23 pm what i had to do was manually install a newer pacman version manually, through here: https://github.com/devkitPro/pacman/releases/tag/v6.0.2
and it worked fine after that.
Hi, how exactly did you install the newer version manually, and did this resolve your first issue(s)? I noticed you said your project still didn't compile but I'm wondering if it was related to this. Apologies if this is a basic question, but it looks like I'm getting similar errors (Mac as well).

Any help appreciated,

Thanks!

WinterMute
Site Admin
Posts: 1865
Joined: Tue Aug 09, 2005 3:21 am
Location: UK
Contact:

Re: dkp-pacman: unrecognized zst archive format

Post by WinterMute » Tue Dec 19, 2023 1:14 am

oceanman wrote: Sat Dec 16, 2023 7:17 am
breadone wrote: Thu Sep 14, 2023 2:23 pm what i had to do was manually install a newer pacman version manually, through here: https://github.com/devkitPro/pacman/releases/tag/v6.0.2
and it worked fine after that.
Hi, how exactly did you install the newer version manually, and did this resolve your first issue(s)?
Just grab the .pkg from that link & follow instructions to install it. It should work from there.

I don't currently have x86_64 mac charged to check unfortunately & it's late here. I'll check it works tomorrow & if not will fix it then.

update: checked & it works fine.
Help keep devkitPro toolchains free, Donate today

Personal Blog

Post Reply

Who is online

Users browsing this forum: No registered users and 0 guests